Skip to main content
PATCH
Patch metric group

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

metricGroupKey
string<string>
required

The metric group key

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Metric group response

_id
string
required

The ID of this metric group

Example:

"bc3e5be1-02d2-40c7-9926-26d0aacd7aab"

key
string
required

A unique key to reference the metric group

Example:

"metric-group-key-123abc"

name
string
required

A human-friendly name for the metric group

Example:

"My metric group"

kind
enum<string>
required

The type of the metric group

Available options:
funnel,
standard
Example:

"funnel"

The location and content type of related resources

Example:
tags
string[]
required

Tags for the metric group

Example:
_creationDate
integer<int64>
required

Timestamp of when the metric group was created

Example:

"1628192791148"

_lastModified
integer<int64>
required

Timestamp of when the metric group was last modified

Example:

"1628192791148"

maintainer
object
required

The maintainer of this metric

metrics
object[]
required

An ordered list of the metrics in this metric group

_version
integer
required

The version of this metric group

Example:

1

description
string

Description of the metric group

Example:

"Description of the metric group"

_access
object

Details on the allowed and denied actions for this metric group

experiments
object[]

Experiments that use this metric group. Only included if specified in the expand query parameter in a getMetricGroup request.

experimentCount
integer

The number of experiments using this metric group

Example:

0

activeExperimentCount
integer

The number of active experiments using this metric group

Example:

0

activeGuardedRolloutCount
integer

The number of active guarded rollouts using this metric group

Example:

0